From 3def522a2fcbe230f3957b5408ee526f71383b2f Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 25 2021 04:31:43 +0000
Subject: [PATCH 2175/2232] Support non-static vector element types inside of unique ptr


---

diff --git a/src/unique_ptr.rs b/src/unique_ptr.rs
index 1603881..2d16a45 100644
--- a/src/unique_ptr.rs
+++ b/src/unique_ptr.rs
@@ -247,7 +247,7 @@ unsafe impl UniquePtrTarget for CxxString {
 
 unsafe impl<T> UniquePtrTarget for CxxVector<T>
 where
-    T: VectorElement + 'static,
+    T: VectorElement,
 {
     fn __typename(f: &mut fmt::Formatter) -> fmt::Result {
         write!(f, "CxxVector<{}>", display(T::__typename))

